Bug 852116 - fix output of status command
fix output of status command
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sanlock (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: David Teigland
Yaniv Kaul
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 12:16 EDT by David Teigland
Modified: 2013-07-03 22:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: sanlock-2.5-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-09 14:43:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Teigland 2012-08-27 12:16:12 EDT
Description of problem:

1. the "sanlock client host_status" command was reporting no lockspaces when none were specified instead of reporting all lockspaces when none were specified.

2. the "sanlock client status" command was reporting lockspaces on the remove list twice, and missing the add list.  It should report lockspaces on each
list a single time.

To test,

1. run "sanlock client host_status" and lockspace(s) should be displayed (assuming any exist)

2. add around 30 lockspaces, then remove them one at a time, running status after each.  Verify that none are reported twice.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 David Teigland 2012-10-05 11:41:06 EDT
ping: can we get a qa ack here to clean this one up?
Comment 3 David Teigland 2012-10-09 14:43:27 EDT
These minor fixes and changes were included with a lot of other commits in the 6.4 rebase... not going to track them all in bz's.

Note You need to log in before you can comment on or make changes to this bug.